@mixin documentHTMLHrefy {
  outline: 0;
  text-decoration: none;
  word-break: break-word;
  @include themify($themes) {
    color: themed('mainLight');
  }
  &:hover {
    @include themify($themes) {
      color: lighten(themed('mainLight'), 10%);
    }
  }
  &:visited {
    @include themify($themes) {
      color: themed('mainLight');
    }
  }
  &[target="_blank"]:after {
    // font: normal normal normal 24px/1 Material Icons;
    // -webkit-font-feature-settings: "liga";
    // -moz-font-feature-settings: "liga";
    // font-feature-settings: "liga";
    // -moz-osx-font-smoothing: grayscale;
    // -webkit-font-smoothing: antialiased;
    // text-rendering: optimizeLegibility;
    // text-transform: none;
    // word-wrap: normal;
    // content: "";
    // font-size: 18px;
    // margin: 0;
    // vertical-align: text-bottom;
    // margin-left: 4px;
  }
}

.document-html-viewer {
  width: 100%;
  height: 100%;
  &__inner {
    width: 100%;
    height: 100%;
    @include FS('FS');
    @include LH('FS');
    @include FM('L');
    word-break: break-word;
    @include themify($themes) {
      color: themed('string');
    }
    @include mq-down(fm) {
      @include FS('XS');
      @include LH('XS');
    };
    & * .video-wrapper {
      float: none;
      padding: 16px 0;
      width: 100%;
      overflow: hidden;
      position: relative;
    }
    & * img {
      float: none;
      padding: 16px 0;
      max-width: 400px;
      width: 100%;
      overflow: hidden;
      position: relative;
    }
    & * a {
      padding: 0 4px;
      @include documentHTMLHrefy();
    }
    & * p {
      word-break: break-word;
      @include FS('S');
      @include LH('S');
      @include FM('L');
      @include themify($themes) {
        color: themed('string');
      }
      @include mq-down(fm) {
        @include FS('S');
        @include LH('S');
      };
    }
    & * h1 {
      @include FS(FM);
      @include FM(L);
      padding-bottom: 16px;
    }
    & * h2 {
      @include FS(FM);
      @include FM(L);
      padding-bottom: 16px;
      @include mq-down(fm) {
        @include FS('S');
        @include LH('S');
      };
    }
    & * h3 {
      @include FS(S);
      @include FM(L);
      padding-bottom: 16px;
      @include mq-down(fm) {
        @include FS('FS');
        @include LH('FS');
      };
    }
    & * h4 {
      @include FS(XS);
      @include FM(R);
      padding-bottom: 16px;
    }
    & * ul {
      @include FS(S);
      @include FM(M);
      @include mq-down(fm) {
        @include FS(FS);
        @include LH(S);
      };
      padding-left: 20px;
      list-style-type: disc;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
    }
    & * ol {
      @include FS(S);
      @include FM(M);
      @include mq-down(fm) {
        @include FS(FS);
        @include LH(S);
      };
      padding-left: 20px;
      list-style: decimal outside;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
    }
    & * ol ol {
      @include FS(S);
      @include FM(M);
      @include mq-down(fm) {
        @include FS(FS);
        @include LH(S);
      };
      padding-left: 20px;
      list-style-type: lower-alpha;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
      & > ol {
        list-style-type: lower-alpha;
      }
    }
    & * li {
      padding-bottom: 16px;
      display: list-item;
      text-align: left;
      @include FS(S);
      @include FM(M);
      @include mq-down(fm) {
        @include FS(FS);
        @include LH(S);
      };
    }
    & * .pre-style, code, pre {
      @include themify($themes) {
        background-color: themed('border');
        color: themed('string');
      }
      direction: ltr !important;
      font: 400 100%/1 Roboto Mono, monospace;
      padding: 1px 4px;
      text-align: left !important;
    }
    & pre {
      margin: 12px 0;
      padding: 24px;
      font: 14px/20px Roboto Mono, monospace;
    }
    & * code {
      font: 500 90%/1 Roboto Mono,monospace;
      word-break: break-word;
    }
    // & * pre {
    //   @include themify($themes) {
    //     background-color: themed('border');
    //   }
    //   margin: 14px 0;
    //   padding: 20px;
    // }

    & * blockquote {
      @include themify($themes) {
        background-color: themed('backgroundLight');
        border-left: 5px solid themed('border');
        color: themed('string');
      }
      margin: 16px 0;
      padding: 10px 20px;
    }
    & * hr {
      @include themify($themes) {
        background-color: themed('border');
      }
      border: 0;
      height: 1px;
      margin: 16px 0;
      width: 100%;
    }
    & * aside {
      margin: 16px -40px;
      padding: 16px 40px;
      @include themify($themes) {
        background-color: themed('border');
        color: themed('string');
      }
      &.danger {
        @include themify($themes) {
          background-color: themed('danger');
          color: themed('string');
        }
      }
    }
    & * table {
      display: table;
      border: 0;
      border-collapse: collapse;
      border-spacing: 0;
      font: 14px/20px Roboto,Noto Sans,Noto Sans JP,Noto Sans KR,Noto Naskh Arabic,Noto Sans Thai,Noto Sans Hebrew,Noto Sans Bengali,sans-serif;
      margin: 16px 0 15px;
      width: 100%;
      border-radius: 5px;
      @include themify($themes) {
        border: 1px solid themed('border');
      }
    }
    & * thead {
      display: table-header-group;
      vertical-align: middle;
      border-color: inherit;
    }
    & * tr {
      border: 0;
    }
    & th {
      display: table-cell;
      border: 0;
      margin: 0;
      text-align: left;
      height: 48px;
      padding: 8px;
      vertical-align: middle;
      @include FS(FS);
      @include FM(B);
      @include themify($themes) {
        background: themed('backgroundThick');
      }
      @include mq-down(fm) {
        @include FS('XS');
        @include LH('XS');
      };
    }
    & tbody {
      display: table-row-group;
      vertical-align: middle;
      border-color: inherit;
      & > tr {
        @include themify($themes) {
          border-bottom: 1px solid themed('border');
        }
        &:first-child {
          @include themify($themes) {
            border-top: 1px solid themed('border');
          }
        }
      }
    }
    & td {
      vertical-align: top;
      display: table-cell;
      border: 0;
      margin: 0;
      text-align: left;
      padding: 12px 8px;
      @include themify($themes) {
        background: themed('background');
      }
    }
  }
}
